<?php
/**
 * Quizz REST service api
 *
 */

class Api_Quizz_Quiz extends Api_Service_Abstract {


    /**
     * @var Quizz_Models_Mapper_QuizMapper
     */
    protected $_quizMapper = null;

    protected $_accessList = array(
        Tools_Security_Acl::ROLE_GUEST => array('allow' => array('get', 'post', 'put')),
        Tools_Security_Acl::ROLE_ADMIN => array('allow' => array('get', 'post', 'put', 'delete')),
        Tools_Security_Acl::ROLE_SUPERADMIN => array('allow' => array('get', 'post', 'put', 'delete'))
    );


    public function init() {
        $this->_quizMapper = Quizz_Models_Mapper_QuizMapper::getInstance();
    }

    /**
     * Retrive a quiz
     *
     */
    public function getAction($quizName = NULL){
        $quizId = filter_var($this->_request->getParam('quizId'), FILTER_SANITIZE_NUMBER_INT);
        //if $quizId exist
        if($quizId) {
            $quiz = $this->_quizMapper->find($quizId);
            if($quiz instanceof Quizz_Models_Model_Quiz) {
                return $quiz;
            }

            //quiz item can not be found
            return FALSE;
        }
    }

    public function postAction(){

    }

    public function deleteAction(){

    }


    public function putAction(){

    }

}
