<?php

class Quizz_Forms_ContactFormSettings extends Zend_Form
{

    public function init()
    {
        $this->setMethod(Zend_Form::METHOD_POST)->setAction('plugin/quizz/run/showResults');

        $this->addElement(
            'text',
            'firstName',
            array(
                'id'          => 'quizz-firstname',
                'placeholder' => 'Insert label for First Name',
                'filters'     => array('StringTrim'),
                'validators'  => array(array('StringLength', true, array(1, 40)))
            )
        );

        $this->addElement(
            'text',
            'lastName',
            array(
                'id'          => 'quizz-lastname',
                'placeholder' => 'Insert label for Last Name',
                'filters'     => array('StringTrim'),
                'validators'  => array(array('StringLength', true, array(1, 40)))
            )
        );

        $this->addElement(
            'text',
            'email',
            array(
                'id'          => 'quizz-email',
                'placeholder' => 'Insert label for Email',
                'filters'     => array('StringTrim'),
                'validators'  => array(array('StringLength', true, array(1, 40)))
            )
        );

        $this->addElement(
            'text',
            'phone',
            array(
                'id'          => 'quizz-phone',
                'placeholder' => 'Insert label for Phone',
                'filters'     => array('StringTrim'),
                'validators'  => array(array('StringLength', true, array(1, 40)))
            )
        );

        $this->addElement(
            'checkbox',
            'is_required_firstName',
            array(
                'checked' => false,
                'label'   => 'Is required?',
                'class'   => 'answer-input',
                'decorators' => array(
                    array('ViewHelper'),
                    array(
                        'Label',
                        array('class' => 'check-label')
                    )
                )
            )
        );

        $this->addElement(
            'checkbox',
            'is_published_firstName',
            array(
                'checked' => false,
                'label'   => 'Display field?',
                'class'   => 'answer-input',
                'decorators' => array(
                    array('ViewHelper'),
                    array(
                        'Label',
                        array('class' => 'check-label')
                    )
                )
            )
        );

        $this->addElement(
            'checkbox',
            'is_required_lastName',
            array(
                'checked' => false,
                'label'   => 'Is required?',
                'class'   => 'answer-input',
                'decorators' => array(
                    array('ViewHelper'),
                    array(
                        'Label',
                        array('class' => 'check-label')
                    )
                )
            )
        );

        $this->addElement(
            'checkbox',
            'is_published_lastName',
            array(
                'checked' => false,
                'label'   => 'Display field?',
                'class'   => 'answer-input',
                'decorators' => array(
                    array('ViewHelper'),
                    array(
                        'Label',
                        array('class' => 'check-label')
                    )
                )
            )
        );

        $this->addElement(
            'checkbox',
            'is_required_email',
            array(
                'checked' => true,
                'disable' => true,
                'label'   => 'Is required?',
                'class'   => 'answer-input',
                'decorators' => array(
                    array('ViewHelper'),
                    array(
                        'Label',
                        array('class' => 'check-label')
                    )
                )
            )
        );

        $this->addElement(
            'checkbox',
            'is_published_email',
            array(
                'checked' => true,
                'disable' => true,
                'label'   => 'Display field?',
                'class'   => 'answer-input',
                'decorators' => array(
                    array('ViewHelper'),
                    array(
                        'Label',
                        array('class' => 'check-label')
                    )
                )
            )
        );

        $this->addElement(
            'checkbox',
            'is_required_phone',
            array(
                'checked' => false,
                'label'   => 'Is required?',
                'class'   => 'answer-input',
                'decorators' => array(
                    array('ViewHelper'),
                    array(
                        'Label',
                        array('class' => 'check-label')
                    )
                )
            )
        );

        $this->addElement(
            'checkbox',
            'is_published_phone',
            array(
                'checked'    => false,
                'label'      => 'Display field?',
                'class'      => 'answer-input',
                'decorators' => array(
                    array('ViewHelper'),
                    array(
                        'Label',
                        array('class' => 'check-label')
                    )
                )
            )
        );

        $this->setDecorators(
            array(
                'FormElements',
                array('HtmlTag', array('tag' => 'ul', 'class' => 'ui-sortable', 'id' => 'form-settings')),
            )
        );

        $this->addDisplayGroup(
            array('firstName', 'is_published_firstName', 'is_required_firstName'),
            'firstName_group',
            array(
                'legend'     => 'Configuration First Name Field',
                'decorators' => array(
                    'FormElements',
                    'Fieldset',
                    array('HtmlTag', array('tag' => 'li', 'class' => 'ui-state-default')),
                )
            )
        );
        $this->addDisplayGroup(
            array('lastName', 'is_published_lastName', 'is_required_lastName'),
            'lastName_group',
            array(
                'legend'     => 'Configuration Last Name Field',
                'decorators' => array(
                    'FormElements',
                    'Fieldset',
                    array('HtmlTag', array('tag' => 'li', 'class' => 'ui-state-default')),
                )
            )
        );
        $this->addDisplayGroup(
            array('email', 'is_published_email', 'is_required_email'),
            'email_group',
            array(
                'legend'     => 'Configuration Email Field',
                'decorators' => array(
                    'FormElements',
                    'Fieldset',
                    array('HtmlTag', array('tag' => 'li', 'class' => 'ui-state-default')),
                )
            )
        );
        $this->addDisplayGroup(
            array('phone', 'is_published_phone', 'is_required_phone'),
            'phone_group',
            array(
                'legend'     => 'Configuration Phone Field',
                'decorators' => array(
                    'FormElements',
                    'Fieldset',
                    array('HtmlTag', array('tag' => 'li', 'class' => 'ui-state-default')),
                )
            )
        );

        $this->addElement(
            'text',
            'email_sender',
            array(
                'id'          => 'quizz-email-sender',
                'placeholder' => 'Insert E-mail address for Quiz receiver Quiz',
                'filters'     => array('StringTrim'),
                'validators'  => array(array('StringLength', true, array(1, 40)))
            )
        );

        $this->addDisplayGroup(
            array('email_sender'),
            'email_sender_group',
            array(
                'legend'     => 'Configuration for receiver Email',
                'decorators' => array(
                    'FormElements',
                    'Fieldset',
                    array('HtmlTag', array('tag' => 'li', 'class' => 'not-sortable')),
                )
            )
        );

    }
}