<?php

/**
 * Class Quizz_Models_Mappers_QuizMapper
 */
class Quizz_Models_Mappers_CFMapper extends Application_Model_Mappers_Abstract
{

    protected $_dbTable = 'Quizz_Models_DbTables_CFSettingsDbTable';

    protected $_model = 'Quizz_Models_Model_CFModel';

    public function save($model)
    {
        if (!$model instanceof $this->_model) {
            throw new Exceptions_SeotoasterException('Given parameter should be ' . $this->_model . ' instance');
        }
        $data = array(
            'data'   => $model->getData(),
            'quizID' => $model->getQuizId(),
        );
        $where = $this->getDbTable()->getAdapter()->quoteInto("quizId =?", $model->getQuizId());
        if ($this->getDbTable()->fetchRow($where)) {
            $this->getDbTable()->update($data, $where);
        } else {
            $this->getDbTable()->insert($data);
        }
    }

    public function getFormDataByQuizID($id)
    {
        $select = $this->getDbTable()->getAdapter()->select()->from($this->getDbTable()->info('name'), array('data'));
        $select->where($this->getDbTable()->getAdapter()->quoteInto("quizId = ?", $id));
        if($result = $this->getDbTable()->getAdapter()->fetchRow($select)){
            return $result['data'];
        } else{
            return NULL;
        }
    }

}
