<?php
/**
 *
 * Quiz model
 *
 *
 */
class Quizz_Models_Model_Quiz extends Application_Model_Models_Abstract {

    protected $_id = 0;

    protected $_pageId     = 0;

    protected $_quizName = "";

    protected $_quizTitle = "";

    protected $_published = false;

    protected $_modifyDate = "";

    protected $_questions = array();

    protected $_answers = array();

    protected $_conditions = array();

    /**
     * @param $id
     * @return $this|void
     */
    public function setId($id)
    {
        $this->_id = $id;
    }

    /**
     * @return int
     */
    public function getId()
    {
        return $this->_id;
    }
    /**
     * @param int $pageId
     */
    public function setPageId($pageId)
    {
        $this->_pageId = $pageId;
    }

    /**
     * @return int
     */
    public function getPageId()
    {
        return $this->_pageId;
    }

    /**
     * @param $num
     * @param $answer
     */
    public function setAnswers($answer)
    {
            $this->_answers = $answer;
    }

    /**
     * get array of answers
     * @return array
     */
    public function getAnswers()
    {
        if(isset($this->_answers)){
            return $this->_answers;
        } else {
            return array();
        }

    }

    /**
     * @param $conditions array
     */
    public function setConditions($conditions)
    {
        $this->_conditions = $conditions;
    }

    /**
     * get array of conditions
     * @return array
     */
    public function getConditions()
    {
        if(isset($this->_conditions)){
            return $this->_conditions;
        } else {
            return array();
        }

    }

    /**
     * @param date $modifyDate
     */
    public function setModifyDate($modifyDate)
    {
        if(!isset($modifyDate)){
            $date = new DateTime('now');
            $this->_modifyDate = $date->format('Y-m-d H:i:s');
        } else{
            $this->_modifyDate = $modifyDate;
        }

    }

    /**
     * @return date
     */
    public function getModifyDate()
    {
        return $this->_modifyDate;
    }

    /**
     * @param boolean $published
     */
    public function setPublished($published)
    {
        if(!isset($published)){
            $this->_published = 1;
        } else{
            $this->_published = $published;
        }

    }

    /**
     * @return boolean
     */
    public function getPublished()
    {
        return $this->_published;
    }

    /**
     *
     * @param $value string question value
     * @param $point integer number of points
     */
    public function setQuestions($num, $value, $point, $published = 0)
    {
            //set list of questions
        $this->_questions[$num] = array(
            'question' => $value,
            'point' => $point,
            'published' => $published
        );
    }

    /**
     *
     * @return array of questions
     */
    public function getQuestions()
    {
        if(isset($this->_questions)){
            return $this->_questions;
        } else {
            return array();
        }

    }



    /**
     * @param string $quizTitle
     */
    public function setQuizTitle($quizTitle)
    {
        $this->_quizTitle = $quizTitle;
    }

    /**
     * @return string
     */
    public function getQuizTitle()
    {
        return $this->_quizTitle;
    }

    /**
     * @param string $quizname
     */
    public function setQuizName($quizname)
    {
        $this->_quizName = $quizname;
    }

    /**
     * @return string
     */
    public function getQuizName()
    {
        return $this->_quizName;
    }

}
