<?php

/**
 *
 * Class Widgets_Quizz_Quizz
 *
 */

class Widgets_Quizz_Quizz extends Widgets_Abstract
{

    const DEFAULT_QUESTIONS_QUANTITY = 2;

    const DEFAULT_QUESTIONS_PER_PAGE = 3;

    const DEFAULT_QUIZ_OFFSET = 0;

    protected $_cacheable = false;

    protected function _init()
    {
        $this->_view = new Zend_View(array('scriptPath' => __DIR__ . '/views'));
        $this->_view->setHelperPath(APPLICATION_PATH . '/views/helpers/');
        $this->_view->addHelperPath('ZendX/JQuery/View/Helper/', 'ZendX_JQuery_View_Helper');
        $this->_sessionHelper = Zend_Controller_Action_HelperBroker::getStaticHelper('session');
    }

    protected function _load()
    {
        if (empty($this->_options)) {
            throw new Exceptions_NewslogException('Not parameters specified!');
        }
        $perPage = self::DEFAULT_QUESTIONS_PER_PAGE;
        if (isset($this->_options[1])) {
            $perPage = intval($this->_options[1]);
        }

        $quizName = $this->_options[0];
        $this->_view->perPage = $perPage;
        $this->_view->pageId = $this->_toasterOptions['id'];
        $this->_view->websiteUrl = $this->_toasterOptions['websiteUrl'];
        $this->_view->quizName = $quizName;
        $quizMapper = Quizz_Models_Mappers_QuizMapper::getInstance();
        $currentQuiz = $quizMapper->getQuizByNamePageId($quizName, $this->_toasterOptions['id']);
        $quizConditions = array();
        if (!empty($currentQuiz)) {
            $quizConditions = $quizMapper->getQuizConditions($currentQuiz['quizId']);
        }

        if (Tools_Security_Acl::isAllowed(Tools_Security_Acl::RESOURCE_CONTENT)) {
            $this->_view->conditions = $quizConditions;
            $contactFormMapper = Quizz_Models_Mappers_CFMapper::getInstance();
            if (empty($currentQuiz)) {
                $title = "Quiz title";
                $questionsQuantity = self::DEFAULT_QUESTIONS_QUANTITY;

                $defaultAnswers = array(
                    '1' => array('weight' => 1, 'answer' => '', 'status' => 0),
                    '2' => array('weight' => 2, 'answer' => '', 'status' => 0)
                );

                for ($i = 1; $i <= $questionsQuantity; $i++) {
                    $defaultData[$i] = array(
                        'position' => $i,
                        'question' => '',
                        'points' => 2,
                        'answers' => $defaultAnswers
                    );
                }
                $quizDefaultData = array('questions' => $defaultData);
                $this->_view->newQuiz = true;
                $this->_view->quiz = $quizDefaultData;
                $this->_view->title = $title;
                $this->_view->config_contact_form =  new Quizz_Forms_ContactFormSettings();
                return $this->_view->render('quiz.phtml');
            }
            $this->_view->totalPoints = $quizMapper->getQuizTotalScore($currentQuiz['quizId']);
            $this->_view->quizConditions = $quizConditions;
            $this->_view->quiz = $currentQuiz;
            $this->_view->title = $currentQuiz['quizTitle'];
            $contact_form_settings = new Quizz_Forms_ContactFormSettings();
            if($contactFormData = $contactFormMapper->getFormDataByQuizID($currentQuiz['quizId'])){
                $contactFormData = unserialize($contactFormData);
                foreach($contactFormData['order'] as $key=>$value){
                    $formDisplayGroup = $contact_form_settings->getDisplayGroup($key.'_group');
                    $formDisplayGroup->setOrder( array_search($key, array_keys($contactFormData['order'])) + 1);
                }
                $contact_form_settings->getDisplayGroup('email_sender_group')->setOrder(sizeof($contactFormData['order']) + 1);
                $contact_form_settings->populate($contactFormData);
            }
            $this->_view->config_contact_form = $contact_form_settings;
            return $this->_view->render('quiz.phtml');
        }
        if (!empty($currentQuiz) && isset($currentQuiz['questions'])) {
            $this->_view->currentQuiz = $currentQuiz;
            $this->_view->perPage = $perPage;
            $currentQuizSessionKey = 'currentQuizQuestions'.$currentQuiz['quizId'];
            $currentQuizKey = 'currentQuiz'.$currentQuiz['quizId'];
            $this->_sessionHelper->$currentQuizSessionKey = $currentQuiz['questions'];
            $this->_sessionHelper->$currentQuizKey = $currentQuiz;
            $this->_sessionHelper->quizzName = $quizName;
            $this->_view->quizQuestions = array_slice($currentQuiz['questions'], self::DEFAULT_QUIZ_OFFSET, $perPage);
            $this->_view->quizTitle = $currentQuiz['quizTitle'];
            $this->_view->quizId = $currentQuiz['quizId'];
            $this->_view->quizOffset = self::DEFAULT_QUIZ_OFFSET;
            $this->_view->questionNumberStart = self::DEFAULT_QUIZ_OFFSET;
            $questionsView = $this->_view->render('quiz-questions.phtml');
            $this->_view->questionsView = $questionsView;
            return $this->_view->render('current.quiz.phtml');
        }
    }
}