CREATE TABLE IF NOT EXISTS `plugin_quizz_quiz` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `pageId` INT(10) UNSIGNED NULL DEFAULT NULL,
  `quizName` varchar(255) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `quizTitle` varchar(255) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `published` tinyint(1) NOT NULL DEFAULT '1',
  `modifyDate` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE IF NOT EXISTS `plugin_quizz_questions` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `quizId` int(10) unsigned NOT NULL,
  `position` int(10) unsigned NOT NULL DEFAULT '1',
  `question` TEXT NULL DEFAULT '' COLLATE 'utf8_unicode_ci',
  `points` int(10) unsigned NULL DEFAULT '0',
  `published` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE IF NOT EXISTS `plugin_quizz_answers` (
  `questionId` int(10) unsigned NOT NULL,
  `weight` int(10) unsigned NOT NULL DEFAULT '1',
  `answer` TEXT NULL DEFAULT '' COLLATE 'utf8_unicode_ci',
  `status` tinyint(1) NOT NULL DEFAULT '0',
  `type` varchar(50) COLLATE utf8_unicode_ci NOT NULL DEFAULT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE IF NOT EXISTS `plugin_quizz_conditions` (
  `id` INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `quizId` INT(10) UNSIGNED NOT NULL DEFAULT '0',
  `condtype` VARCHAR(10) NOT NULL DEFAULT '',
  `points` INT(10) UNSIGNED NULL DEFAULT '0',
   PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE IF NOT EXISTS `plugin_quizz_user` (
	`id` INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
	`firstname` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
	`lastname` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
	`phone` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
	`email` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
	`created_at` datetime DEFAULT NULL,
	`score` INT(10) UNSIGNED NULL DEFAULT '0',
	`score_percent` DECIMAL(5,2) UNSIGNED NULL DEFAULT '0.00',
	PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

ALTER TABLE plugin_quizz_questions
ADD CONSTRAINT FK_quizId
FOREIGN KEY (quizId) REFERENCES plugin_quizz_quiz(id)
ON UPDATE CASCADE
ON DELETE CASCADE;

ALTER TABLE plugin_quizz_answers
ADD CONSTRAINT FK_questionId
FOREIGN KEY (questionId) REFERENCES plugin_quizz_questions(id)
ON UPDATE CASCADE
ON DELETE CASCADE;

ALTER TABLE plugin_quizz_conditions
ADD CONSTRAINT FK_conditionId
FOREIGN KEY (quizId) REFERENCES plugin_quizz_quiz(id)
ON UPDATE CASCADE
ON DELETE CASCADE;

INSERT INTO `email_triggers` (`enabled`, `trigger_name`, `observer`) VALUES( '1', 'quiz_passed', 'Quizz_Tools_MailWatchdog');

CREATE TABLE IF NOT EXISTS `plugin_quizz_cfconfig` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `data` TEXT NULL DEFAULT NULL COLLATE 'utf8_unicode_ci',
  `quizId` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

ALTER TABLE plugin_quizz_cfconfig
ADD CONSTRAINT FK_cf_quizId
FOREIGN KEY (quizId) REFERENCES plugin_quizz_quiz(id)
ON DELETE CASCADE;



