$(function() {
    $('#next-btn').on('click', function(e){
        e.preventDefault();

        var scollToEl;
        if($(document).find('.quizz-scroll').length != 0){
            scollToEl = '.quizz-scroll';
        } else {
            scollToEl = '#current-quiz';
        }
        $('html, body').animate({
            scrollTop: $(scollToEl).offset().top
        }, 2000);

        var answeredQuestions = $('#quiz-body').find('.answer-radio:checked').size();
        var quantityQuestions = $('#quiz-body').find('.answers-block').size();

        if (answeredQuestions === quantityQuestions) {

            var answersEls = $('#quiz-body').find('.answer-radio:checked');
            var answers = {};
            $.each(answersEls, function(key, val){
                answers[$(this).data('question-id')] = $(this).data('answer-position');
            });

            $.ajax({
                url: $("#website_url").val() + "plugin/quizz/run/nextQuestions/",
                type: "POST",
                dataType : 'json',
                data: {
                    quizId: $('#quiz-id').val(),
                    perPage: $('#quiz-perpage').val(),
                    quizOffset: $('#quiz-offset').val(),
                    pageId: $('#quiz-pageid').val(),
                    answers: answers
                },
                beforeSend : function() {showSpinner();},
                success: function(response){
                    $('.descfirst').hide();
                    hideSpinner();
                    $('#quiz-body').html(response.responseText.quizQuestions);
                    $('#quiz-offset').val(response.responseText.quizOffset);
                    if(response.responseText.noQuestions){
                        $('#next-btn').remove();
                    }
                }});
            return false;
        }else{
            showMessage("Not all questions have checked answers", true);
        }
    });

    $(document).on('click', '#quiz-submit-result', function(e){
        e.preventDefault();
        $.post($("#website_url").val() + "plugin/quizz/run/submitResults/", {'quizId': $('#quiz-id').val()}, function(response){
            $('#quiz-body').html(response.responseText.html);

        }, 'json');
    });

//    $(document).on('click', '#send-quiz', function(e){
//        $.ajax({
//            url: $("#website_url").val() + "plugin/quizz/run/sendResult/",
//            type: "POST",
//            dataType : 'json',
//            data: {
//                quizId: $('#quiz-id').val(),
//                userEmail: $('#quiz-user-email').val(),
//                userName: $('#quiz-user-name').val(),
//                quizScore: $('#quiz-score').val(),
//                quizTitle: $('#quiz-title').val(),
//                quizFormKey: $('#quiz-form-id').val()
//            },
//            beforeSend : function() {showSpinner();},
//            success: function(response){
//                hideSpinner();
//                if(response.error){
//                    showMessage(response.responseText, true);
//                }else{
//                    showMessage(response.responseText);
//                    location.reload();
//                }
//            }});
//        return false;
//    });

});
